Subject: Re: bug#50081: [PATCH] gnu: texlive-texmf: Disable LuaJIT engines on powerpc64le

From: Thiago Jung Bauermann <[email-masked]>
Date: Tue, 17 Aug 2021 11:22:40 -0300

Hi Mathieu,

Thank you for the quick review.

Em terça-feira, 17 de agosto de 2021, às 09:42:53 -03, Mathieu Othacehe 
escreveu:
> Hello,
> 
> > +                ;; LuaJIT is not ported to powerpc64le* yet.
> > +                (if (string-prefix? "powerpc64le"
> > +                                    ,(or (%current-target-system)
> > +                                        (%current-system)))
> 
> Do you think we could use the "target-powerpc?" procedure from (guix
> utils) here?

‘target-powerpc?’ would also match 32-bit PowerPC. LuaJIT does support that 
platform, but I couldn’t find out – and can’t test – whether the LuaJIT TeX 
engines do as well.

Since ‘texlive-latex-base’ doesn’t exclude 32-bit PowerPC, I’d suggest 
doing the same for ‘texlive-texmf’ as well. But I don’t have a strong 
opinion about it.

If you think it improves the code, I can use
“,(and (target-powerpc?) (target-64bit?))"

NB: I forgot to mention that this patch is for core-updates-frozen.

-- 
Thanks,
Thiago